-- MySQL dump 10.11
--
-- Host: localhost    Database: horde
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `horde_datatree`
--

DROP TABLE IF EXISTS `horde_datatree`;
CREATE TABLE `horde_datatree` (
  `datatree_id` int(11) NOT NULL,
  `group_uid` varchar(255) NOT NULL,
  `user_uid` varchar(255) NOT NULL,
  `datatree_name` varchar(255) NOT NULL,
  `datatree_parents` varchar(255) NOT NULL,
  `datatree_order` int(11) default NULL,
  `datatree_data` text,
  `datatree_serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`datatree_id`),
  KEY `datatree_datatree_name_idx` (`datatree_name`),
  KEY `datatree_group_idx` (`group_uid`),
  KEY `datatree_user_idx` (`user_uid`),
  KEY `datatree_serialized_idx` (`datatree_serialized`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_datatree`
--

LOCK TABLES `horde_datatree` WRITE;
/*!40000 ALTER TABLE `horde_datatree` DISABLE KEYS */;
INSERT INTO `horde_datatree` VALUES (1,'horde.perms','cyrus','turba','',NULL,'a:2:{s:4:\"type\";s:6:\"matrix\";s:7:\"default\";i:6;}',15),(2,'horde.perms','cyrus','sources',':1',NULL,'a:2:{s:4:\"type\";s:6:\"matrix\";s:7:\"default\";i:6;}',15),(3,'horde.perms','cyrus','privateobmcontact',':1:2',NULL,'a:2:{s:4:\"type\";s:6:\"matrix\";s:7:\"default\";i:6;}',15),(4,'horde.perms','cyrus','publicobmcontact',':1:2',NULL,'a:2:{s:4:\"type\";s:6:\"matrix\";s:7:\"default\";i:6;}',15),(5,'horde.perms','cyrus','localldap',':1:2',NULL,'a:2:{s:4:\"type\";s:6:\"matrix\";s:7:\"default\";i:6;}',15),(6,'horde.perms','cyrus','localsql',':1:2',NULL,'a:2:{s:4:\"type\";s:6:\"matrix\";s:7:\"default\";i:30;}',15);
/*!40000 ALTER TABLE `horde_datatree` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_datatree_attributes`
--

DROP TABLE IF EXISTS `horde_datatree_attributes`;
CREATE TABLE `horde_datatree_attributes` (
  `datatree_id` int(11) NOT NULL,
  `attribute_name` varchar(255) NOT NULL,
  `attribute_key` varchar(255) NOT NULL default '',
  `attribute_value` text,
  KEY `datatree_attribute_idx` (`datatree_id`),
  KEY `datatree_attribute_name_idx` (`attribute_name`),
  KEY `datatree_attribute_key_idx` (`attribute_key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_datatree_attributes`
--

LOCK TABLES `horde_datatree_attributes` WRITE;
/*!40000 ALTER TABLE `horde_datatree_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_datatree_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_datatree_seq`
--

DROP TABLE IF EXISTS `horde_datatree_seq`;
CREATE TABLE `horde_datatree_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_datatree_seq`
--

LOCK TABLES `horde_datatree_seq` WRITE;
/*!40000 ALTER TABLE `horde_datatree_seq` DISABLE KEYS */;
INSERT INTO `horde_datatree_seq` VALUES (6);
/*!40000 ALTER TABLE `horde_datatree_seq` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_histories`
--

DROP TABLE IF EXISTS `horde_histories`;
CREATE TABLE `horde_histories` (
  `history_id` bigint(20) NOT NULL,
  `object_uid` varchar(255) NOT NULL,
  `history_action` varchar(32) NOT NULL,
  `history_ts` bigint(20) NOT NULL,
  `history_desc` text,
  `history_who` varchar(255) default NULL,
  `history_extra` text,
  PRIMARY KEY  (`history_id`),
  KEY `history_action_idx` (`history_action`),
  KEY `history_ts_idx` (`history_ts`),
  KEY `history_uid_idx` (`object_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_histories`
--

LOCK TABLES `horde_histories` WRITE;
/*!40000 ALTER TABLE `horde_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_histories_seq`
--

DROP TABLE IF EXISTS `horde_histories_seq`;
CREATE TABLE `horde_histories_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_histories_seq`
--

LOCK TABLES `horde_histories_seq` WRITE;
/*!40000 ALTER TABLE `horde_histories_seq` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_histories_seq` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_prefs`
--

DROP TABLE IF EXISTS `horde_prefs`;
CREATE TABLE `horde_prefs` (
  `pref_uid` varchar(200) NOT NULL,
  `pref_scope` varchar(16) NOT NULL default '',
  `pref_name` varchar(32) NOT NULL,
  `pref_value` longtext,
  PRIMARY KEY  (`pref_uid`,`pref_scope`,`pref_name`),
  KEY `pref_uid_idx` (`pref_uid`),
  KEY `pref_scope_idx` (`pref_scope`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_prefs`
--

LOCK TABLES `horde_prefs` WRITE;
/*!40000 ALTER TABLE `horde_prefs` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_prefs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_sessionhandler`
--

DROP TABLE IF EXISTS `horde_sessionhandler`;
CREATE TABLE `horde_sessionhandler` (
  `session_id` varchar(32) NOT NULL,
  `session_lastmodified` int(11) NOT NULL,
  `session_data` longblob,
  PRIMARY KEY  (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_sessionhandler`
--

LOCK TABLES `horde_sessionhandler` WRITE;
/*!40000 ALTER TABLE `horde_sessionhandler` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_sessionhandler` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_tokens`
--

DROP TABLE IF EXISTS `horde_tokens`;
CREATE TABLE `horde_tokens` (
  `token_address` varchar(100) NOT NULL,
  `token_id` varchar(32) NOT NULL,
  `token_timestamp` bigint(20) NOT NULL,
  PRIMARY KEY  (`token_address`,`token_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_tokens`
--

LOCK TABLES `horde_tokens` WRITE;
/*!40000 ALTER TABLE `horde_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_users`
--

DROP TABLE IF EXISTS `horde_users`;
CREATE TABLE `horde_users` (
  `user_uid` varchar(255) NOT NULL,
  `user_pass` varchar(255) NOT NULL,
  `user_soft_expiration_date` int(11) default NULL,
  `user_hard_expiration_date` int(11) default NULL,
  PRIMARY KEY  (`user_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_users`
--

LOCK TABLES `horde_users` WRITE;
/*!40000 ALTER TABLE `horde_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horde_vfs`
--

DROP TABLE IF EXISTS `horde_vfs`;
CREATE TABLE `horde_vfs` (
  `vfs_id` bigint(20) NOT NULL,
  `vfs_type` smallint(6) NOT NULL,
  `vfs_path` varchar(255) NOT NULL,
  `vfs_name` varchar(255) NOT NULL,
  `vfs_modified` bigint(20) NOT NULL,
  `vfs_owner` varchar(255) NOT NULL,
  `vfs_data` longblob,
  PRIMARY KEY  (`vfs_id`),
  KEY `vfs_path_idx` (`vfs_path`),
  KEY `vfs_name_idx` (`vfs_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `horde_vfs`
--

LOCK TABLES `horde_vfs` WRITE;
/*!40000 ALTER TABLE `horde_vfs` DISABLE KEYS */;
/*!40000 ALTER TABLE `horde_vfs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `turba_objects`
--

DROP TABLE IF EXISTS `turba_objects`;
CREATE TABLE `turba_objects` (
  `object_id` varchar(32) NOT NULL,
  `owner_id` varchar(255) NOT NULL,
  `object_type` varchar(255) NOT NULL default 'Object',
  `object_uid` varchar(255) default NULL,
  `object_members` blob,
  `object_name` varchar(255) default NULL,
  `object_alias` varchar(32) default NULL,
  `object_email` varchar(255) default NULL,
  `object_homeaddress` varchar(255) default NULL,
  `object_workaddress` varchar(255) default NULL,
  `object_homephone` varchar(25) default NULL,
  `object_workphone` varchar(25) default NULL,
  `object_cellphone` varchar(25) default NULL,
  `object_fax` varchar(25) default NULL,
  `object_title` varchar(255) default NULL,
  `object_company` varchar(255) default NULL,
  `object_notes` text,
  `object_pgppublickey` text,
  `object_smimepublickey` text,
  `object_freebusyurl` varchar(255) default NULL,
  PRIMARY KEY  (`object_id`),
  KEY `turba_owner_idx` (`owner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `turba_objects`
--

LOCK TABLES `turba_objects` WRITE;
/*!40000 ALTER TABLE `turba_objects` DISABLE KEYS */;
/*!40000 ALTER TABLE `turba_objects` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-11-16 11:12:56
